NX Open C++ Reference Guide
|
Represents a Bend feature builder. More...
Public Types | |
enum | BendDirectionOptions { BendDirectionOptionsSectionNormalSide, BendDirectionOptionsSectionReverseNormalSide } |
This enum represents the Bend Direction for Bend. More... | |
enum | BendLocationOptions { BendLocationOptionsOuterMoldLine, BendLocationOptionsCenterLine, BendLocationOptionsInnerMoldLine, BendLocationOptionsMaterialInside, BendLocationOptionsMaterialOutside } |
This enum represents the Bend Location (Material Side) for Bend. More... | |
enum | FixedSideOptions { FixedSideOptionsSectionSideLeft, FixedSideOptionsSectionSideRight } |
This enum represents the Fixed Side for Bend. More... | |
Public Member Functions | |
NXOpen::Features::SheetMetal::BendBuilder::BendLocationOptions | BendLocation () |
Returns the Bend Location (Material Side) Created in NX5.0.0. | |
NXOpen::Features::SheetMetal::BendOptions * | BendOptions () |
Returns the Bend Options Created in NX5.0.0. | |
NXOpen::Features::SheetMetal::BendBuilder::BendDirectionOptions | Direction () |
Returns the Bend Direction Created in NX5.0.0. | |
bool | ExtendProfile () |
Returns the Extend Option Created in NX5.0.0. | |
NXOpen::Features::SheetMetal::BendBuilder::FixedSideOptions | FixedSide () |
Returns the Fixed Side Created in NX5.0.0. | |
NXOpen::Expression * | GetBendAngle () |
Returns the Bend Angle. | |
NXOpen::Section * | Section () |
Returns the Section Created in NX5.0.0. | |
void | SetBendAngle (const NXString &bendAngle) |
Sets the Bend Angle Created in NX5.0.0. | |
void | SetBendAngle (const char *bendAngle) |
Sets the Bend Angle Created in NX5.0.0. | |
void | SetBendLocation (NXOpen::Features::SheetMetal::BendBuilder::BendLocationOptions bendLocation) |
Sets the Bend Location (Material Side) Created in NX5.0.0. | |
void | SetDirection (NXOpen::Features::SheetMetal::BendBuilder::BendDirectionOptions direction) |
Sets the Bend Direction Created in NX5.0.0. | |
void | SetExtendProfile (bool extendOption) |
Sets the Extend Option Created in NX5.0.0. | |
void | SetFixedSide (NXOpen::Features::SheetMetal::BendBuilder::FixedSideOptions fixedSide) |
Sets the Fixed Side Created in NX5.0.0. | |
void | SetSection (NXOpen::Section *section) |
Sets the Section Created in NX5.0.0. | |
void | SetSketch (NXOpen::Features::SketchFeature *sketch) |
Sets the Sketch Created in NX5.0.0. | |
NXOpen::Features::SketchFeature * | Sketch () |
Returns the Sketch Created in NX5.0.0. | |
int | ValidateBuilderData () |
Verify whether the builder data is valid for creating bend or not. | |
![]() | |
NXOpen::Features::SheetMetal::ApplicationContext | GetApplicationContext () |
Get the application context. | |
void | SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext) |
Set the application context. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Bend feature builder.
To create a new instance of this class, use Features::SheetMetal::SheetmetalManager::CreateBendFeatureBuilder
Created in NX5.0.0.
NXOpen::Features::SheetMetal::BendBuilder::BendLocationOptions NXOpen::Features::SheetMetal::BendBuilder::BendLocation | ( | ) |
NXOpen::Features::SheetMetal::BendOptions* NXOpen::Features::SheetMetal::BendBuilder::BendOptions | ( | ) |
NXOpen::Features::SheetMetal::BendBuilder::BendDirectionOptions NXOpen::Features::SheetMetal::BendBuilder::Direction | ( | ) |
bool NXOpen::Features::SheetMetal::BendBuilder::ExtendProfile | ( | ) |
Returns the Extend Option
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Features::SheetMetal::BendBuilder::FixedSideOptions NXOpen::Features::SheetMetal::BendBuilder::FixedSide | ( | ) |
Returns the Fixed Side
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Expression* NXOpen::Features::SheetMetal::BendBuilder::GetBendAngle | ( | ) |
Returns the Bend Angle.
NXOpen::Section* NXOpen::Features::SheetMetal::BendBuilder::Section | ( | ) |
Returns the Section
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
void NXOpen::Features::SheetMetal::BendBuilder::SetBendAngle | ( | const NXString & | bendAngle | ) |
Sets the Bend Angle
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
bendAngle | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BendBuilder::SetBendAngle | ( | const char * | bendAngle | ) |
Sets the Bend Angle
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
bendAngle | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::BendBuilder::SetBendLocation | ( | NXOpen::Features::SheetMetal::BendBuilder::BendLocationOptions | bendLocation | ) |
void NXOpen::Features::SheetMetal::BendBuilder::SetDirection | ( | NXOpen::Features::SheetMetal::BendBuilder::BendDirectionOptions | direction | ) |
void NXOpen::Features::SheetMetal::BendBuilder::SetExtendProfile | ( | bool | extendOption | ) |
Sets the Extend Option
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
extendOption | extend option |
void NXOpen::Features::SheetMetal::BendBuilder::SetFixedSide | ( | NXOpen::Features::SheetMetal::BendBuilder::FixedSideOptions | fixedSide | ) |
Sets the Fixed Side
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
fixedSide | fixed side |
void NXOpen::Features::SheetMetal::BendBuilder::SetSection | ( | NXOpen::Section * | section | ) |
Sets the Section
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
section | section |
void NXOpen::Features::SheetMetal::BendBuilder::SetSketch | ( | NXOpen::Features::SketchFeature * | sketch | ) |
Sets the Sketch
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
sketch | sketch |
NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::BendBuilder::Sketch | ( | ) |
Returns the Sketch
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
int NXOpen::Features::SheetMetal::BendBuilder::ValidateBuilderData | ( | ) |
Verify whether the builder data is valid for creating bend or not.
<br> If the Builder data is valid, returned value should be 0 <br> @return Data Validity Flag.
Created in NX5.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")